.hint {
  min-height: 3em;
}
.hint-wrap .collapse-hint {
  position: absolute;
  top: -5px;
  right: 5px;
  cursor: pointer;
}
.hint-label {
  cursor: pointer;
  position: absolute;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  font-size: 2em;
  font-weigth: bold;
  transition: all 0.4s;
  z-index: 1000;
}
.hint-label:hover {
  background: "red";
}
body {
  font-family: "Trebuchet MS", "Open Sans", Verdana, Geneva, sans-serif, sans-serif;
  overflow: hidden;
}
#info {
  position: absolute;
  top: 100px;
  left: 100px;
  right: 100px;
  z-index: -1000;
  opacity: 0;
  font-family: 'Trebuchet MS', 'Open Sans', Verdana, Geneva, sans-serif, sans-serif;
  padding: 20px;
  color: #707172;
  border-radius: 5px;
  background-color: white;
  border: 1px solid #c7edfc;
}
#info > h1 {
  margin-top: 10px;
  font-weight: normal;
  font-size: 1.8em;
}
#info ul {
  padding-left: 0px;
  margin-left: 0px;
}
#info li {
  margin: 10px;
  margin-left: 1em;
}
#help {
  position: absolute;
  top: 100px;
  left: 100px;
  right: 100px;
  z-index: -1000;
  opacity: 0;
  font-family: 'Trebuchet MS', 'Open Sans', Verdana, Geneva, sans-serif, sans-serif;
  padding: 20px;
  color: #707172;
  border-radius: 5px;
  background-color: white;
  border: 1px solid #c7edfc;
}
#error-display {
  color: red;
  margin: 5px;
  font-family: monospace;
}
#close-info {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}
#close-help {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}
button {
  background: inherit;
  border: 1px solid #aaaaaa;
  padding: 7px;
  color: #555555;
  letter-spacing: 1px;
  text-transform: uppercase;
  transition: all 0.3s;
}
button:active,
button:hover {
  background: #eeeeee;
}
button:active i {
  color: #222222;
  transition: all 0.3s;
}
button.first {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}
button.last {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  margin-left: -1px;
}
#info-icon {
  position: absolute;
  top: -30px;
  right: 10px;
  color: #555555;
  cursor: pointer;
  transition: all 0.3s;
}
#help-icon {
  position: absolute;
  top: -30px;
  right: 10px;
  color: #555555;
  cursor: pointer;
  transition: all 0.3s;
  right: 30px;
}
#info-icon:hover {
  transform: scale(1.2, 1.2);
}
#help-icon {
  position: absolute;
  top: -30px;
  right: 10px;
  color: #555555;
  cursor: pointer;
  transition: all 0.3s;
  right: 30px;
}
#help-icon:hover {
  transform: scale(1.2, 1.2);
}
#editor-frame {
  position: relative;
  margin-top: 20px;
  border: 1px dotted #aaaaaa;
}
#toolbar {
  position: absolute;
  bottom: 10px;
  right: 10px;
}
#right-pane {
  position: relative;
  width: 45%;
  float: left;
}
#wall {
  width: 4%;
  height: 100%;
  float: left;
}
#world {
  width: 45%;
  float: left;
}
